Kerbal Space Program - Bug #10088

Cannot Deploy While stowed
07/06/2016 07:29 AM - alamovampire

Status: Confirmed Start date: 07/06/2016
Severity: Normal % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This so called feature or check is plaguing ships and stations. The mechanic that was added by the development team to prevent
players from making mistakes inside cargo bays and fairings is well, causing hell. It is preventing things like Solar Panels, Antennae
and Landing gear that are clearly not inside of fairings or cargo bays from activating. Pictured Examples from my own experience:

Solar Panel, Clearly OUTSIDE the ship being told it is not allowed to open as it is STOWED.
[img]http://i.imgur.com/rdneWvG.png[/img]

Landing Gear, Clearly OUTSIDE the cargo bay being told it cannot open, multiple examples:
<first picture in this set, the ALL STOCK ship supplied to arsonide>
[img]http://i.imgur.com/PJISRGG.png[/img]

Next Picture, Goliath Class in orbit experiencing the mechanic:

[img]http://i.imgur.com/gkJQVEC.png[/img]

Next Picture, Same ship, testing parameters <launcher removed, no further alteration of vessel, experienced proper action of landing
gear PRIOR to launch <first picture, then 20 seconds elapse as gear is retracted and then launched <<second picture>> you see the
"mechanic" happening again.

[img]http://i.imgur.com/BFmpEM9.png[/img]

20 seconds MAXIMUM difference between pictures, no revert, just retracted the gear hit SAS and Space Bar, then took the picture.
[img]http://i.imgur.com/rueNg5a.png[/img]

Again, this is critical as it is harming the ability for ships to work as intended. This mechanic must be removed, as its just flat out
damaging to the play experience. Also of note, the Goliath <the final ship pictured, was designed and WORKED PROPERLY prior to
1.1.0 coming out, and was not altered in any way major way between versions, only alterations: Payload and for the testing shots,
removal of launcher for better visual clarity of the landing gear.

History

#1 - 07/07/2016 08:02 AM - Padishar

- Severity changed from Critical to Normal

Changed priority in accordance with guidelines at http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

#2 - 07/09/2016 06:04 PM - swjr-swis
- File [113]Landing Gear Test Shuttle.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Win 8.1 x64, KSP 1.1.3.1289 x64, full stock as downloaded from Steam.

| can confirm the nose gear (surface-attached to the outside) deciding it is 'stowed' and thus refusing to deploy, if the cargo bay is opened and closed
even once, of the craft posted by alamovampire in the following thread/post:

http://forum.kerbalspaceprogram.com/index.php?/topic/142950-cannot-deploy-while-stowed-mechanic/&do=findComment&comment=2659155

Reproduction steps:
1) load craft
go to launch pad, but don't stage
test deployment of gear several times to prove it works without problems
open the cargo bay just once and close it again, it doesn't need to open fully

2
3
4
5) try deploying the gear again, and notice the nose gear will from this point on refuse because 'Cannot deploy when stowed'

D=

You don't need to launch, it will do it right there on the pad without having moved, so it's not even a case of parts fractionally moving relative to each
other. The stowed code is treating the before and after differently, even though the conditions are identical. This same thing will also happen
mid-flight: if the cargo bay is opened even once, which is rather the whole purpose of it, as soon as it is closed again it will make the nose gear
inoperable, and you only find out when it's too late, because there is no hint that the gear has been made inoperable now.

| attach alamovampire's craft here.
Additional comments:

Parts that are surface attached to the outside of the craft, even if it is a cargo/service bay or a fairing, and regardless of the amount of clipping, should
always be immune to any type of deactivation because of stowing. It should be understood that by choosing to attach the part to the outside the
player is explicitly opting out of any type of forced protection from imagined or real consequences. So at the very least, the game should make a
clear distinction between parts that are attached to the outside vs inside of a bay or fairing.

But even aside if this happens to be an actual bug that can be corrected, please consider A) adding a global setting to entirely disable the code that
forcibly turns any parts inoperable 'when stowed', or B) preferable but probably more work, make it a per part configurable.

The way it is now, it is very inconsistent and jarring that the game has no problem at all permitting parts to deploy or activate when heavily clipped into
'solid' parts like tanks, cockpits, engines, etc, but then turns those same parts inoperable if they are slightly clipped or even fully inside the 'hollow' of
bays and fairings. Please allow us to opt out of this forced 'protection'.

#3 - 07/10/2016 09:31 PM - WildLynx

Just now: DTS-M1 antenna, attached to long [mod, but no modules] truss was "stowed".

There is not a single cargo bay on that ship!
This ship was docked with ships with cargo bays, but they are recovered long time ago, or at least, orbit other planet now.

Also, "SP-L 1x6" solar arrays, sometimes refuse to open on same ship.
Also any other parts that can be activated/deactivated like any engines, any antennas, any solar arrays, any [stock] active radiators.

Only solution | found is:

- Detach it via KAS [mod]

- Activate while it floats free

- Quickly bolt it back.

Obviously not work, if you are not KAS/KIS user.

Big image:

http://i.imgur.com/jJhSD7s.png

http://i.imgur.com/WioZdE6.png

Also

http://i.imgur.com/c80TNV6.png

That short-range crew Ship was undocked and recovered long time ago
http://i.imgur.com/11Ba6Rl.png

Files

[113]Landing Gear Test Shuttle.craft 85.6 KB 07/08/2016 sSwjr-swis
